package cd.casic.pipeline.commons.constant;

import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname OpsHeader
 * @Description 重要，莫动
 * @Date 2025/3/19 14:49
 */
@NoArgsConstructor
public final class OpsHeader {

    public static final String AUTH_HEADER_USER_ID = "X-DEVOPS-UID";
    public static final String AUTH_HEADER_USER_ID_DEFAULT_VALUE = "admin";
    public static final String AUTH_HEADER_BUILD_ID = "X-DEVOPS-BUILD-ID";
    public static final String AUTH_HEADER_VM_SEQ_ID = "X-DEVOPS-VM-SID";
    public static final String AUTH_HEADER_VM_NAME = "X-DEVOPS-VM-NAME";
    public static final String AUTH_HEADER_PROJECT_ID = "X-DEVOPS-PROJECT-ID";
    public static final String AUTH_HEADER_AGENT_SECRET_KEY = "X-DEVOPS-AGENT-SECRET-KEY";
    public static final String AUTH_HEADER_AGENT_ID = "X-DEVOPS-AGENT-ID";
    public static final String AUTH_HEADER_PIPELINE_ID = "X-DEVOPS-PIPELINE-ID";
    public static final String AUTH_HEADER_REGION = "X-DEVOPS-REGION";
    public static final String AUTH_HEADER_DEVOPS_APP_CODE = "X-DEVOPS-APP-CODE";
    public static final String AUTH_HEADER_DEVOPS_APP_SECRET = "X-DEVOPS-APP-SECRET";
    public static final String AUTH_HEADER_DEVOPS_BUILD_TYPE = "X-DEVOPS-BUILD-TYPE";
    public static final String AUTH_HEADER_DEVOPS_USER_ID = AUTH_HEADER_USER_ID;
    public static final String AUTH_HEADER_DEVOPS_USER_ID_DEFAULT_StringUE = "admin";
    public static final String AUTH_HEADER_DEVOPS_APP_CODE_DEFAULT_StringUE = "opsci";
    public static final String AUTH_HEADER_DEVOPS_BG_ID = "X-DEVOPS-BG-ID";
    public static final String AUTH_HEADER_DEVOPS_DEPT_ID = "X-DEVOPS-DEPT-ID";
    public static final String AUTH_HEADER_DEVOPS_CENTER_ID = "X-DEVOPS-CENTER-ID";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_TYPE = "X-DEVOPS-ORGANIZATION-TYPE";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_TYPE_BG = "BG";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_TYPE_DEPARTMENT = "DEPARTMENT";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_TYPE_CENTER = "CENTER";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_ID = "X-DEVOPS-ORGANIZATION-ID";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_NAME = "X-DEVOPS-ORGANIZATION-NAME";
    public static final String AUTH_HEADER_DEVOPS_PROJECT_ID = "X-DEVOPS-PROJECT-ID";
    public static final String AUTH_HEADER_DEVOPS_PIPELINE_ID = "X-DEVOPS-PIPELINE-ID";
    public static final String AUTH_HEADER_DEVOPS_BUILD_ID = "X-DEVOPS-BUILD-ID";
    public static final String AUTH_HEADER_DEVOPS_VM_SEQ_ID = "X-DEVOPS-VM-SID";
    public static final String AUTH_HEADER_DEVOPS_VM_NAME = "X-DEVOPS-VM-NAME";
    public static final String AUTH_HEADER_DEVOPS_REAL_IP = "X-DEVOPS-REAL-IP";
    public static final String AUTH_HEADER_DEVOPS_AGENT_ID = "X-DEVOPS-AGENT-ID";
    public static final String AUTH_HEADER_DEVOPS_AGENT_SECRET_KEY = "X-DEVOPS-AGENT-SECRET-KEY";
    public static final String AUTH_HEADER_DEVOPS_BK_TOKEN = "X-DEVOPS-BK-TOKEN";
    public static final String AUTH_HEADER_DEVOPS_ACCESS_TOKEN = "X-DEVOPS-ACCESS-TOKEN";
    public static final String AUTH_HEADER_DEVOPS_BK_TICKET = "X-DEVOPS-BK-TOKEN";
    public static final String AUTH_HEADER_DEVOPS_USER_CHINESE_NAME = "X-DEVOPS-CHINESE-NAME";
    public static final String AUTH_HEADER_DEVOPS_USER_PAAS_ID = "X-DEVOPS-PAAS-USER-ID";
    public static final String AUTH_HEADER_DEVOPS_ORIGINAL_HOST = "X-DEVOPS-ORIGINAL-HOST";
    public static final String AUTH_HEADER_DEVOPS_JWT_TOKEN = "X-DEVOPS-JWT-TOKEN";
    public static final String AUTH_HEADER_IAM_TOKEN = "Authorization";
    public static final String AUTH_HEADER_DEVOPS_SIGN_INFO = "X-DEVOPS-SIGN-INFO";
    public static final String AUTH_HEADER_PLATFORM = "X-DEVOPS-PLATFORM";
    public static final String AUTH_HEADER_APP_VERSION = "X-DEVOPS-APP-VERSION";
    public static final String AUTH_HEADER_GATEWAY_TAG = "X-GATEWAY-TAG";
    public static final String AUTH_HEADER_DEVOPS_CI_TASK_ID = "X-DEVOPS-CI-TASK-ID";
    public static final String SIGN_HEADER_TIMESTAMP = "X-DEVOPS-TIMESTAMP";
    public static final String SIGN_HEADER_NONCE = "X-DEVOPS-NONCE";
    public static final String SING_HEADER_SIGNATURE = "X-DEVOPS-SIGNATURE";
    public static final String AUTH_HEADER_GITHUB_TOKEN = "X-GITHUB-TOKEN";
    public static final String AUTH_HEADER_GIT_TYPE = "X-DEVOPS-STREAM-GIT-TYPE";
    public static final String AUTH_HEADER_BK_CI_LOGIN_TOKEN = "X-DEVOPS-CI-LOGIN-TOKEN";
    public static final String AUTH_HEADER_DEVOPS_SERVICE_NAME = "X-DEVOPS-SERVICE-NAME";
    public static final String AUTH_HEADER_CODECC_OPENAPI_TOKEN = "X-CODECC-OPENAPI-TOKEN";


}
